org.apache.tomcat.websocket.server

## Class UriTemplate

- java.lang.Object
- - org.apache.tomcat.websocket.server.UriTemplate

-     public class UriTemplate
      extends Object

  Extracts path parameters from URIs used to create web socket connections using the URI template defined for the associated Endpoint.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UriTemplate(String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNormalizedPath()`
    `int` | `getSegmentCount()`
    `boolean` | `hasParameters()`
    `Map<String,String>` | `match(UriTemplate candidate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UriTemplate

          public UriTemplate(String path)
                      throws DeploymentException

      Throws:
        `DeploymentException`

  - ### Method Detail

    - #### match

          public Map<String,String> match(UriTemplate candidate)

    - #### hasParameters

          public boolean hasParameters()

    - #### getSegmentCount

          public int getSegmentCount()

    - #### getNormalizedPath

          public String getNormalizedPath()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.